<?php
/**
 * @file user_access_keys.php
 * Hook definitions.
 */


/**
 * An implementation of hook_user_access_keys()
 */
function hook_user_access_keys_user_access_keys() {
  return (Object) array(
    // The machine name of the profile.module field.
    'field' => 'example_api_access_key',
    // The human-readble name of the profile.module field.
    'name' => t('Example.com API access key'),
    // The callback function to validate an access key.
    'validate' => 'example_user_access_keys_validate',
    // The URL of the third-party website where a user can find their API key.
    'source' => 'https://example.com/my/account',
    // Further instructions for the user to find their API key at that URL.
    'instructions' => t('Click the link in the sidebar to show the API access key.'),
  );
}
